Bug 7395 - ppp-watch fails
ppp-watch fails
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 1999-11-28 12:54 EST by andy
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-12-06 15:53:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description andy 1999-11-28 12:54:42 EST
ppp-watch fails on boot up. It then reports backgrounding, and is happy
from then on in. The upshot is the the ppp0 interface report [FAILED]
at boot up & shutdown.

Q. How does one register ppp line without dialing?
Q. How is it contrived that the "daemon" parameter is past to ppp-watch
 via ifup-ppp0 ?
Comment 1 Michael K. Johnson 1999-12-01 15:56:59 EST
This is not a bug.  It is reporting that it failed to bring up the
interface within 30 seconds, but it will continue in the background.
It would be inappropriate to call this a success, so we default to
calling it a failure, but it may become a success in the future.

I do not know what you mean by "register a ppp line without dialing".
If you mean "how do you not dial at boot time" the answer is to change
in the /etc/sysconfig/network-scripts/ifcfg-ppp* files.  You can also
do this from linuxconf by clicking a button.

It's not contrived, it's simply done.
Comment 2 andy 1999-12-04 05:46:59 EST
No. You do not understand, I wish to
register the ppp0 interface but I do not
wish to dial. Why? so that dial on demand
can open the connection when traffic requires
but not before.
'Register' is the term used by
/var/log/messages and used to be deplayed to
console during boot up. Therefore a believe
it is valid term to use, and one that you
should be aware of.
Setting ONBOOT=no, does not register the
interface, hence dial on demand is not in
It should/used to be possible to register
the interface on boot up and receive
a message to that effect from CSLIP how
is this achieved now?
Comment 3 Michael K. Johnson 1999-12-06 15:53:59 EST
Oh, you want demand dialing.

It is possible to set up demand dialing with pppd but we
simply don't support that in our dialing scripts yet.
We are considering it for a later release -- it's clearly
a desirable feature, but we want to do it right and we
want to integrate well with the rest of the system.

I've deferred this, as it isn't precisely a bug, but
rather a "wishlist" item for the future.  (we want it

Note You need to log in before you can comment on or make changes to this bug.